
Redmine - Feature #11312

Filter assignable users based on workflow

2012-07-03 16:18 - ali akbar cheraghi

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Now a issue can be assigned to every user that is member of the project.

It's possible, however, that if a workflow is associated with that issue, the issue with a particoular status can be assigned to a person

whose role can't make the issue proceed on the flow.

The issue then become blocked unless assigned to a new member with the "right rights"

I have a suggestion: when a user updates an issue and select the new status, the drop down "assigned to" changes showing only the

members that have permission, for that new status, to make the issue change status again

History

#1 - 2012-07-25 15:17 - ali akbar cheraghi

- Assignee deleted (Jean-Philippe Lang)

#2 - 2013-01-17 21:45 - Fred Giusto

+1

This will avoid situation like an user can't change status because he doesn't have rights to.

#3 - 2014-12-23 13:23 - Sebastian Paluch

+1

That is really needed, without the check for new assignee have a way to push issue further in the workflow, the workflow additional definition for

author or assignee is hard to use. User often forget to change status or assignee and then they are blocked.

#4 - 2015-01-15 12:52 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Close as duplicate of #2937.

This issue is cut and paste of #2937.
